<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("agg" . "reg" . "ati" . "on" => base64_decode("YWdncm" . "VnYXRp" . "b24="), "_d4fa3b332be727dab" . "2fbb0d586eb8012" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F" . "0aW9uIEFORCA="), "_f934df31ac" . "124758c1d70" . "4009544ddef" => base64_decode("U0VMRUNUIGRhdGVfdGltZSwgb2JqZWN0X2lkLCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmF" . "nZ3JlZ2F0aW9uIEFORCA="), "_9003c4206769f" . "8bf549be389fc0" . "96ddc" => base64_decode("IE9SREVSIEJZIGRhdGVfdGlt" . "ZSBERVND"));
use Claromentis\Core\DAL;
abstract class StatReportLastAddedList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 10;
        $this->rows_per_page = 20;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_f934df31ac124758c1d70" . "4009544ddef"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_9003c42" . "06769f8b" . "f549be38" . "9fc096dd" . "c"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["aggrega" . "tion"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d4fa3b332be727da" . "b2fbb0d586eb8012"] . $filter->AsPart(), $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
}